## libsolv 0.6.35

=== test/CMakeLists.txt ===
FOREACH(tcdir testcases libsolv-zypptestcases)
    IF(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}")
        FILE(GLOB dirs "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}/[_a-zA-Z0-9]*")
        FOREACH(dir ${dirs})
	    IF(IS_DIRECTORY ${dir})
		FILE(RELATIVE_PATH myname "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}" ${dir})
		ADD_TEST(${myname} ${CMAKE_CURRENT_SOURCE_DIR}/runtestcases ${CMAKE_BINARY_DIR}/tools/testsolv ${dir})
	    ENDIF(IS_DIRECTORY ${dir})
        ENDFOREACH(dir)
    ENDIF(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${tcdir}")
ENDFOREACH(tcdir)
