=== debian/changelog ===
libsolv (0.6.35-2+deb10u1) buster; urgency=medium

  * debian/patches:
    + CVE-2019-20387: Add 0001_CVE-2019-20387.patch. Resolves heap-based buffer
      over-read in repodata.c (Closes: #949611).
    + 1006_various-types.patch: Trivial rebase.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 30 Jan 2020 22:58:10 +0100

libsolv (0.6.35-2) unstable; urgency=medium

  * debian/changelog: White-space cleanup in previous stanza.
  * debian/rules:
    + Add build time option ENABLE_COMPLEX_DEPS=1.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 11:14:21 +0200

libsolv (0.6.35-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Update Vcs-*: fields. Packaging Git has been migrated to
      salsa.debian.org.
    + Drop ancient X-Python{,3}-Version: fields.
    + Add to B-D: dh-python.
  * debian/patches:
    + Rebase 1004_cmake-module-path-fix.patch and 1006_various-types.patch.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * debian/libsolv0.symbols:
    + Update symbols.
  * debian/libsolv-tools.lintian-overrides:
    + Drop file. Issues solved with this upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 20 Aug 2018 12:36:18 +0200

libsolv (0.6.34-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + White-space cleanup.
  * debian/patches:
    + Drop 2001_build-for-SUSE-and-find-rpmdb.patch. Not required anymore.
    + Update/rebase patches.
  * debian/{control,compat}:
    + Bump to DH compat level 10. (CDBS not yet supports level 11,
      unfortunately).
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
    + Update copyright attributions.
  * debian/libsolv0.symbols:
    + Update symbols. Remove flawed part of the file that contained
      libsolvext.so.0 symbol names.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Apr 2018 12:49:07 +0200
