=== debian/control ===
--- 
+++ 
@@ -13,12 +13,11 @@
  librpm-dev (>= 4),
  liblzma-dev,
  libbz2-dev,
- python-dev,
- libpython-dev,
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
 Vcs-Git: https://salsa.debian.org/debian/libsolv.git
@@ -161,25 +160,6 @@
  .
  This package contains command-line tools that facilitate using libsolv.
 
-Package: python-solv
-Section: python
-Architecture: any
-Depends:
- ${python:Depends},
- ${shlibs:Depends},
- ${misc:Depends},
- libsolv0 (= ${binary:Version}),
-Description: dependency solver using a satisfiability algorithm (Python2 bindings)
- This dependency solver code in this package is based on two major, but
- independent, blocks:
- .
- 1. Using a dictionary approach to store and retrieve package
-    and dependency information.
- 2. Using satisfiability, a well known and researched topic, for
-    resolving package dependencies.
- .
- This package contains the Python (v2) bindings for the libsolv0 library.
-
 Package: python3-solv
 Section: python
 Architecture: any
