=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 DEB_DH_INSTALL_ARGS += --fail-missing
+DEB_DH_MISSING_ARGS += --fail-missing
 
 DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS
 
@@ -47,11 +48,12 @@
                          -DENABLE_LZMA_COMPRESSION=1 \
                          -DENABLE_BZIP2_COMPRESSION=1 \
                          -DENABLE_PERL=1 \
-                         -DENABLE_PYTHON=1 \
+                         -DENABLE_PYTHON=0 \
                          -DENABLE_PYTHON3=1 \
                          -DCMAKE_SKIP_RPATH=FALSE \
                          -DCMAKE_SKIP_INSTALL_RPATH=TRUE \
                          -DENABLE_COMPLEX_DEPS=1 \
+                         -DENABLE_COMPS=1 \
                          $(NULL)
 
 DEB_MAKE_CHECK_TARGET := test
