=== debian/changelog ===
libsolv (0.7.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B:/R: for libsolv0-dev -> libsolv-dev and libsolvext0-dev ->
      libsolvext-dev. (Closes: #960347).
  * debian/patches:
    + Rebase 1005_install-cmake-module-into-libdir.patch.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/libsolv1.lintian-overrides:
    + Renamed tag: shlib-calls-exit -> exit-in-shared-library.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Jul 2020 09:34:51 +0200

libsolv (0.7.11-1) unstable; urgency=medium

  * New upstream release. (Closes: #951901).
  * debian/*:
    + SOVERSION bump (0 -> 1).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 0001_CVE-2019-20387.patch. Applied upstream.
    + Disable Mihai's rpmdb patches for now. They need rebasing and discussion
      about RPM in Debian in general.
    + Rebase 1005_install-cmake-module-into-libdir.patch and
      1006_various-typos.patch.
  * debian/{docs,rules}:
    + Update list of documentation files.
  * debian/rules:
    + Move cmake files to correct location.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Apr 2020 23:49:09 +0200
