=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
 Vcs-Git: https://salsa.debian.org/debian/libsolv.git
 
-Package: libsolv0
+Package: libsolv1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -68,7 +68,7 @@
  .
  This package contains documentation files for libsolv.
 
-Package: libsolv0-dev
+Package: libsolv-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -76,8 +76,12 @@
  libsolv-dev
 Depends:
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
- libsolvext0-dev (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
+ libsolvext-dev (= ${binary:Version}),
+Breaks:
+ libsolv0-dev (<< 0.7),
+Replaces:
+ libsolv0-dev (<< 0.7),
 Description: dependency solver using a satisfiability algorithm (development files)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -89,7 +93,7 @@
  .
  This package contains development files for libsolv.
 
-Package: libsolvext0
+Package: libsolvext1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -123,7 +127,7 @@
  .
  This package contains the libsolv extension library.
 
-Package: libsolvext0-dev
+Package: libsolvext-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -131,7 +135,11 @@
  libsolvext-dev
 Depends:
  ${misc:Depends},
- libsolvext0 (= ${binary:Version}),
+ libsolvext1 (= ${binary:Version}),
+Breaks:
+ libsolvext0-dev (<< 0.7),
+Replaces:
+ libsolvext0-dev (<< 0.7),
 Description: dependency solver using a satisfiability algorithm (ext development files)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -148,7 +156,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
 Description: dependency solver using a satisfiability algorithm (command-line tools)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -167,7 +175,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
 Description: dependency solver using a satisfiability algorithm (Python3 bindings)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -177,7 +185,7 @@
  2. Using satisfiability, a well known and researched topic, for
     resolving package dependencies.
  .
- This package contains the Python (v3) bindings for the libsolv0 library.
+ This package contains the Python (v3) bindings for the libsolv library.
 
 Package: libsolv-perl
 Section: perl
@@ -186,7 +194,7 @@
  ${perl:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- libsolv0 (= ${binary:Version}),
+ libsolv1 (= ${binary:Version}),
 Description: dependency solver using a satisfiability algorithm (Perl bindings)
  This dependency solver code in this package is based on two major, but
  independent, blocks:
@@ -196,4 +204,4 @@
  2. Using satisfiability, a well known and researched topic, for
     resolving package dependencies.
  .
- This package contains the Perl bindings for the libsolv0 library.
+ This package contains the Perl bindings for the libsolv library.
