=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 DEB_DH_INSTALLCHANGELOGS_ARGS = NEWS
 
-DEB_INSTALL_DOCS_ALL = README CREDITS BUGS
+DEB_INSTALL_DOCS_ALL = README CREDITS TODO_1.0
 
 DEB_CMAKE_EXTRA_FLAGS := \
                          -DCMAKE_INSTALL_PREFIX=/usr \
@@ -66,6 +66,7 @@
 
 tweak-install::
 	if [ -e debian/tmp/usr/bin/repo2solv.sh ]; then mv debian/tmp/usr/bin/repo2solv.sh debian/tmp/usr/bin/repo2solv; fi
+	if [ -e debian/tmp/cmake ]; then mv debian/tmp/cmake/ debian/tmp/usr/share/; fi
 
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
