## libsolv 0.7.17

=== debian/changelog ===
libsolv (0.7.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 0002-repo_rpmdb-handle-dbpath-in-homedir.patch.
    + Rebase 0003-rpmdb2solve.c-add-homedir-functionality.patch.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 01 Feb 2021 21:04:46 +0100

libsolv (0.7.16-2) unstable; urgency=medium

  * debian/rules:
    + Create symlink from LibSolvConfig.cmake to FindLibSolv.cmake, required by
      libzypp.
  * debian/libsolv-dev.install:
    + Also install LibSolvConfig.cmake symlink into libsolv-dev bin:pkg.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Dec 2020 13:10:34 +0000

libsolv (0.7.16-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches: Rebase patches 0002 and 0003.
  * debian/copyright: Update copyright attributions.
  * debian/libsolvext1.symbols: Update symbols.

  [ Frédéric Pierret (fepitre) ]
  * debian/patches/series: remove deprecated patches
  * Change previous install location of FindLibSolv.cmake
  * Newer patches for dbpath location based on Mihai's work

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Oct 2020 22:27:40 +0100
