=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-dev,
  libpython3-dev,
  swig,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/openSUSE/libsolv
 Vcs-Browser: https://salsa.debian.org/debian/libsolv/
